# $Revision: 1.51.2.2 $, $Date: 2007/02/21 10:41:11 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	krb		# don't build krb support
#
Summary:	An HTTP and WebDAV client library
Summary(pl):	Biblioteka kliencka HTTP i WebDAV
Name:		neon
Version:	0.26.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://www.webdav.org/neon/%{name}-%{version}.tar.gz
# Source0-md5:	6e52cd9c03e372026d6eccbfb80f09ef
URL:		http://www.webdav.org/neon/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_krb:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
neon is an HTTP and WebDAV client library, with a C interface.
Featuring:
 - High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD etc).
 - Low-level interface to HTTP request handling, to allow implementing
   new methods easily.
 - HTTP/1.1 and HTTP/1.0 persistent connections.
 - RFC2617 basic and digest authentication (including auth-int,
   md5-sess).
 - Proxy support (including basic/digest authentication).
 - Generic WebDAV 207 XML response handling mechanism.
 - XML parsing using the expat or libxml parsers.
 - Easy generation of error messages from 207 error responses.
 - WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
 - WebDAV metadata support: set and remove properties, query any set of
   properties (PROPPATCH/PROPFIND).

%description -l pl
neon to biblioteka kliencka HTTP i WebDAV z interfejsem w C.
Moliwoci:
 - wysokopoziomowy interfejs do metod HTTP i WebDAV (PUT, GET, HEAD...),
 - niskopziomowy interfejs to obsugi da HTTP pozwalajcy atwo
   implementowa nowe metody,
 - stae poczenia HTTP/1.1 i HTTP/1.0,
 - autentykacja podstawowa i skrtem RFC-2617 (auth-int, md5-sess...),
 - obsuga proxy (w tym autentykacja podstawowa i skrtem),
 - mechanizm obsugi odpowiedzi WebDAV 207 XML,
 - analiza skadniowa XML przy pomocy expat lub libxml,
 - proste generowanie komunikatw bdw dla odpowiedzi 207,
 - manipulowanie zasobami WebDAV: MOVE, COPY, DELETE, MKCOL,
 - obsuga metadanych WebDAV: ustawianie i usuwanie atrybutw,
   sprawdzanie dowolnego zbioru atrybutw (PROPPATCH/PROPFIND).

%package devel
Summary:	Header files for neon
Summary(pl):	Pliki nagwkowe neon
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_krb:Requires:	heimdal-devel >= 0.6-5}
Requires:	libxml2-devel
Requires:	openssl-devel >= 0.9.7c

%description devel
C header files for the neon library.

%description devel -l pl
Pliki nagwkowe dla biblioteki neon.

%package static
Summary:	Static libraries for neon
Summary(pl):	Biblioteki statyczne neon
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static neon libraries.

%description static -l pl
Statyczne biblioteki neon.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%configure \
	--with-ssl \
	--enable-shared \
	%{!?with_static_libs:--enable-static=no} \
	%{!?with_krb:--without-gssapi} \
	--with-libxml2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix},%{_mandir}/man1,%{_mandir}/man3}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
mv -f doc/man/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/*.txt doc/html/*
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/neon-config
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/neon
%{_mandir}/man*/*
%{_pkgconfigdir}/neon.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: neon.spec,v $
Revision 1.51.2.2  2007/02/21 10:41:11  hawk
- updated to 0.26.3

Revision 1.51.2.1  2006/11/03 22:33:14  zbyniu
- bcond krb (merge from HEAD)

Revision 1.51  2006/01/21 21:45:02  arekm
- up to 0.25.5

Revision 1.50  2005/10/21 16:06:58  speedo
- updated to 0.25.4

Revision 1.49  2005/08/22 07:19:21  paszczus
- updated to 0.25.3

Revision 1.48  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.47  2005/06/17 19:35:58  twittner
- added bcond_without static_libs

Revision 1.46  2005/03/21 18:33:16  mmazur
- rel 4 for th

Revision 1.45  2004/11/21 08:25:51  arekm
- rel 3; revert, better, non-invasive method used now in rpm

Revision 1.44  2004/11/21 00:47:40  arekm
- jbj changes to neon

Revision 1.43  2004/07/05 20:58:13  arekm
- updated to 0.24.7

Revision 1.42  2004/05/19 19:08:47  qboosh
- updated to 0.24.6 (fixes CAN-2004-0398 - heap overflow in date parsing)

Revision 1.41  2004/04/16 10:21:45  qboosh
- security update to 0.24.5
  (CAN-2004-0179: format string vulnerabilities in XML/207 response handling)
- strict internal deps, release 2 for Ac

Revision 1.40  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.39  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.38  2003/10/25 23:14:34  arekm
- updated to 0.24.4

Revision 1.37  2003/10/23 20:58:42  arekm
- rel 2

Revision 1.36  2003/10/18 08:55:09  qboosh
- expat is not used (libxml2 is); -devel R: heimdal-devel

Revision 1.35  2003/10/08 21:27:58  arekm
- neon is able to preform kerberos auth

Revision 1.34  2003/10/08 21:12:23  arekm
- updated to 0.24.3

Revision 1.33  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.32  2003/09/19 19:41:16  misi3k
- updated to 0.24.2

Revision 1.31  2003/09/07 20:02:58  qboosh
- 0.24.1

Revision 1.30  2003/07/04 11:05:11  qboosh
- -devel R: libxml2-devel, openssl-devel

Revision 1.29  2003/06/29 19:20:05  trojan
- moved development stuff to devel package

Revision 1.28  2003/06/25 13:19:59  trojan
- updated to 0.24.0

Revision 1.27  2003/05/27 10:57:25  trojan
- added Source0-md5

Revision 1.26  2003/05/25 05:51:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/04 13:12:06  trojan
- updated to 0.23.9

Revision 1.24  2003/02/28 22:22:05  misi3k
- updated to 0.23.8

Revision 1.23  2003/02/15 09:17:57  trojan
- updated to 0.23.7
- added libtoolize

Revision 1.22  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.21  2002/11/25 14:17:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.20  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/09/29 17:04:07  misiek
- updated to 0.23.4

Revision 1.18  2002/09/08 17:20:54  misiek
- version 0.23.3

Revision 1.17  2002/08/12 18:00:59  wiget
- updated to 0.22.0
- BR new (sec)fixed openssl

Revision 1.16  2002/07/23 21:28:41  mmazur
- updated to 0.21.3
- STBR

Revision 1.15  2002/05/28 08:11:24  qboosh
- removed .so and soname symlinks from base; new %%doc; release 2

Revision 1.14  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/25 11:10:06  misiek
- updated to 0.19.4

Revision 1.12  2002/04/12 10:23:28  malekith
- added no-usr-include patch that makes build possible with gcc31
- regenerate configure (br: automake & autoconf >= 2.53)

Revision 1.11  2002/04/08 17:56:38  misiek
- updated to 0.19.3

Revision 1.10  2002/02/23 04:05:38  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/14 23:47:00  blues
- release 2 (it builds now)
- simplified instalation
- added mans instalation
- more docs

Revision 1.6  2001/12/16 00:33:59  kloczek
- updated to 0.18.1 (bug fix release).

Revision 1.5  2001/12/07 11:03:26  kloczek
- updated to 0.18.0 (manu bugfixes and some API clarifications).

Revision 1.4  2001/12/07 09:20:44  kloczek
- cosmetics.

Revision 1.3  2001/12/06 23:17:14  blues
- release 2
- DESTDIR patch added
- configure macro used
- force using libxml2
- cosmetic in docs

Revision 1.2  2001/12/06 15:56:52  qboosh
- pl description, separated -static, fixed post/postun

Revision 1.1  2001/11/14 00:45:47  serek
- neu im sklep. ready for builders, i suppose.

* Mon Oct 08 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Updated to neon 0.17.1

* Mon Jul 23 2001 Dan Berger <dberger@ix.netcom.com>
- Sepperated into neon and neon-devel packages, cleaned up .spec file

* Mon Jul 02 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Updated to neon 0.15.3

* Fri Jun 15 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Updated to neon 0.15.1

* Wed Jun 06 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Created .spec and built first RPM based on 0.15.0
